=== debian/changelog ===
libjson-dwiw-perl (0.47.0-9) unstable; urgency=low

  * Initial release.

 -- Stuart Raeburn <raeburn@loncapa.org>  Sat, 25 Oct 2025 19:53:00 -0400
