=== debian/control ===
Source: libjson-dwiw-perl
Maintainer: Stuart Raeburn <raeburn@loncapa.org>
Section: perl
Priority: optional
Build-Depends: debhelper-compat (= 13),
               libtest-simple-perl,
               perl
Standards-Version: 4.7.2
Homepage: https://metacpan.org/release/JSON-DWIW

Package: libjson-dwiw-perl
Architecture: any
Depends: ${misc:Depends}, ${perl:Depends}, ${shlibs:Depends}
Description: JSON converter that does what I want
 Other JSON modules require setting several parameters before calling the
 conversion methods to do what I want. JSON::DWIW does things by default that
 I think should be done when working with JSON in Perl. This module also
 encodes and decodes faster than JSON.pm and JSON::Syck in my benchmarks.
 .
 This means that any piece of data in Perl (assuming it's valid unicode) will
 get converted to something in JSON instead of throwing an exception. It also
 means that output will be strict JSON, while accepted input will be flexible,
 without having to set any options.
